diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/class-wp.php ./wordpress-3.4/wp-includes/class-wp.php
*** ./wordpress-3.3.2/wp-includes/class-wp.php	2011-11-14 15:05:13.000000000 -0600
--- ./wordpress-3.4/wp-includes/class-wp.php	2012-02-16 18:02:42.000000000 -0600
***************
*** 15,21 ****
  	 * @access public
  	 * @var array
  	 */
! 	var $public_query_vars = array('m', 'p', 'posts', 'w', 'cat', 'withcomments', 'withoutcomments', 's', 'search', 'exact', 'sentence', 'debug', 'calendar', 'page', 'paged', 'more', 'tb', 'pb', 'author', 'order', 'orderby', 'year', 'monthnum', 'day', 'hour', 'minute', 'second', 'name', 'category_name', 'tag', 'feed', 'author_name', 'static', 'pagename', 'page_id', 'error', 'comments_popup', 'attachment', 'attachment_id', 'subpost', 'subpost_id', 'preview', 'robots', 'taxonomy', 'term', 'cpage', 'post_type');
  
  	/**
  	 * Private query variables.
--- 15,21 ----
  	 * @access public
  	 * @var array
  	 */
! 	var $public_query_vars = array('m', 'p', 'posts', 'w', 'cat', 'withcomments', 'withoutcomments', 's', 'search', 'exact', 'sentence', 'calendar', 'page', 'paged', 'more', 'tb', 'pb', 'author', 'order', 'orderby', 'year', 'monthnum', 'day', 'hour', 'minute', 'second', 'name', 'category_name', 'tag', 'feed', 'author_name', 'static', 'pagename', 'page_id', 'error', 'comments_popup', 'attachment', 'attachment_id', 'subpost', 'subpost_id', 'preview', 'robots', 'taxonomy', 'term', 'cpage', 'post_type');
  
  	/**
  	 * Private query variables.
***************
*** 156,163 ****
  			$home_path = trim($home_path, '/');
  
  			// Trim path info from the end and the leading home path from the
! 			// front.  For path info requests, this leaves us with the requesting
! 			// filename, if any.  For 404 requests, this leaves us with the
  			// requested permalink.
  			$req_uri = str_replace($pathinfo, '', $req_uri);
  			$req_uri = trim($req_uri, '/');
--- 156,163 ----
  			$home_path = trim($home_path, '/');
  
  			// Trim path info from the end and the leading home path from the
! 			// front. For path info requests, this leaves us with the requesting
! 			// filename, if any. For 404 requests, this leaves us with the
  			// requested permalink.
  			$req_uri = str_replace($pathinfo, '', $req_uri);
  			$req_uri = trim($req_uri, '/');
***************
*** 401,407 ****
  			}
  		}
  
! 		// query_string filter deprecated.  Use request filter instead.
  		if ( has_filter('query_string') ) {  // Don't bother filtering and parsing if no plugins are hooked in.
  			$this->query_string = apply_filters('query_string', $this->query_string);
  			parse_str($this->query_string, $this->query_vars);
--- 401,407 ----
  			}
  		}
  
! 		// query_string filter deprecated. Use request filter instead.
  		if ( has_filter('query_string') ) {  // Don't bother filtering and parsing if no plugins are hooked in.
  			$this->query_string = apply_filters('query_string', $this->query_string);
  			parse_str($this->query_string, $this->query_vars);
***************
*** 474,492 ****
  	function handle_404() {
  		global $wp_query;
  
! 		if ( !is_admin() && ( 0 == count( $wp_query->posts ) ) && !is_404() && !is_robots() && !is_search() && !is_home() ) {
  			// Don't 404 for these queries if they matched an object.
! 			if ( ( is_tag() || is_category() || is_tax() || is_author() || is_post_type_archive() ) && $wp_query->get_queried_object() && !is_paged() ) {
! 				if ( !is_404() )
! 					status_header( 200 );
  				return;
  			}
- 			$wp_query->set_404();
- 			status_header( 404 );
- 			nocache_headers();
- 		} elseif ( !is_404() ) {
- 			status_header( 200 );
  		}
  	}
  
  	/**
--- 474,509 ----
  	function handle_404() {
  		global $wp_query;
  
! 		// If we've already issued a 404, bail.
! 		if ( is_404() )
! 			return;
! 
! 		// Never 404 for the admin, robots, or if we found posts.
! 		if ( is_admin() || is_robots() || $wp_query->posts ) {
! 			status_header( 200 );
! 			return;
! 		}
! 
! 		// We will 404 for paged queries, as no posts were found.
! 		if ( ! is_paged() ) {
! 
  			// Don't 404 for these queries if they matched an object.
! 			if ( ( is_tag() || is_category() || is_tax() || is_author() || is_post_type_archive() ) && $wp_query->get_queried_object() ) {
! 				status_header( 200 );
! 				return;
! 			}
! 
! 			// Don't 404 for these queries either.
! 			if ( is_home() || is_search() ) {
! 				status_header( 200 );
  				return;
  			}
  		}
+ 
+ 		// Guess it's time to 404.
+ 		$wp_query->set_404();
+ 		status_header( 404 );
+ 		nocache_headers();
  	}
  
  	/**
***************
*** 601,605 ****
  	}
  
  }
- 
- ?>
--- 618,620 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/class.wp-scripts.php ./wordpress-3.4/wp-includes/class.wp-scripts.php
*** ./wordpress-3.3.2/wp-includes/class.wp-scripts.php	2011-12-08 14:46:58.000000000 -0600
--- ./wordpress-3.4/wp-includes/class.wp-scripts.php	2012-02-27 13:46:52.000000000 -0600
***************
*** 31,45 ****
  	var $default_dirs;
  
  	function __construct() {
  		do_action_ref_array( 'wp_default_scripts', array(&$this) );
  	}
  
  	/**
  	 * Prints scripts
  	 *
! 	 * Prints the scripts passed to it or the print queue.  Also prints all necessary dependencies.
  	 *
! 	 * @param mixed $handles (optional) Scripts to be printed.  (void) prints queue, (string) prints that script, (array of strings) prints those scripts.
  	 * @param int $group (optional) If scripts were queued in groups prints this group number.
  	 * @return array Scripts that have been printed
  	 */
--- 31,52 ----
  	var $default_dirs;
  
  	function __construct() {
+ 		if ( ! function_exists( 'did_action' ) || did_action( 'init' ) )
+ 			$this->init();
+ 		else
+ 			add_action( 'init', array( $this, 'init' ), 0 );
+ 	}
+ 
+ 	function init() {
  		do_action_ref_array( 'wp_default_scripts', array(&$this) );
  	}
  
  	/**
  	 * Prints scripts
  	 *
! 	 * Prints the scripts passed to it or the print queue. Also prints all necessary dependencies.
  	 *
! 	 * @param mixed $handles (optional) Scripts to be printed. (void) prints queue, (string) prints that script, (array of strings) prints those scripts.
  	 * @param int $group (optional) If scripts were queued in groups prints this group number.
  	 * @return array Scripts that have been printed
  	 */
***************
*** 143,154 ****
  		$script = "var $object_name = " . json_encode($l10n) . ';';
  
  		if ( !empty($after) )
! 			$script .= "\n$after";
  
  		$data = $this->get_data( $handle, 'data' );
  
  		if ( !empty( $data ) )
! 			$script = "$data;\n$script";
  
  		return $this->add_data( $handle, 'data', $script );
  	}
--- 150,161 ----
  		$script = "var $object_name = " . json_encode($l10n) . ';';
  
  		if ( !empty($after) )
! 			$script .= "\n$after;";
  
  		$data = $this->get_data( $handle, 'data' );
  
  		if ( !empty( $data ) )
! 			$script = "$data\n$script";
  
  		return $this->add_data( $handle, 'data', $script );
  	}
